読者です 読者をやめる 読者になる 読者になる

管理人のSE経験値(Exp)を見える化するブログ

中小企業(独立系Sier)でインフラエンジニアをしている管理人が日々の業務、自己啓発によって得た知識、経験を雑記するブログです。

CentOS 7:(yum) [e2fsprogs] dumpe2fsをインストールする

目的

CentOS 7を「最小限のインストール」でインストールした結果、 dumpe2fsコマンドが利用出来なかった為、e2fsprogsパッケージをインストールした。個人的な備忘のために記事を書く。

コマンド

以下のコマンドでe2fsprogsパッケージをインストールする。

#e2fsprogsパッケージのインストール
[root@localhost ~]# yum -y install e2fsprogs
読み込んだプラグイン:fastestmirror
base                                                                                                                           | 3.6 kB  00:00:00
extras                                                                                                                         | 3.4 kB  00:00:00
updates                                                                                                                        | 3.4 kB  00:00:00
Loading mirror speeds from cached hostfile
 * base: www.ftp.ne.jp
 * extras: www.ftp.ne.jp
 * updates: www.ftp.ne.jp
依存性の解決をしています
--> トランザクションの確認を実行しています。
---> パッケージ e2fsprogs.x86_64 0:1.42.9-7.el7 を 更新
---> パッケージ e2fsprogs.x86_64 0:1.42.9-9.el7 を アップデート
--> 依存性の処理をしています: libss = 1.42.9-9.el7 のパッケージ: e2fsprogs-1.42.9-9.el7.x86_64
--> 依存性の処理をしています: libcom_err(x86-64) = 1.42.9-9.el7 のパッケージ: e2fsprogs-1.42.9-9.el7.x86_64
--> 依存性の処理をしています: e2fsprogs-libs(x86-64) = 1.42.9-9.el7 のパッケージ: e2fsprogs-1.42.9-9.el7.x86_64
--> トランザクションの確認を実行しています。
---> パッケージ e2fsprogs-libs.x86_64 0:1.42.9-7.el7 を 更新
---> パッケージ e2fsprogs-libs.x86_64 0:1.42.9-9.el7 を アップデート
---> パッケージ libcom_err.x86_64 0:1.42.9-7.el7 を 更新
---> パッケージ libcom_err.x86_64 0:1.42.9-9.el7 を アップデート
---> パッケージ libss.x86_64 0:1.42.9-7.el7 を 更新
---> パッケージ libss.x86_64 0:1.42.9-9.el7 を アップデート
--> 依存性解決を終了しました。

依存性を解決しました

======================================================================================================================================================
 Package                                 アーキテクチャー                バージョン                               リポジトリー                   容量
======================================================================================================================================================
更新します:
 e2fsprogs                               x86_64                          1.42.9-9.el7                             base                          698 k
依存性関連での更新をします:
 e2fsprogs-libs                          x86_64                          1.42.9-9.el7                             base                          166 k
 libcom_err                              x86_64                          1.42.9-9.el7                             base                           40 k
 libss                                   x86_64                          1.42.9-9.el7                             base                           45 k

トランザクションの要約
======================================================================================================================================================
更新  1 パッケージ (+3 個の依存関係のパッケージ)

総ダウンロード容量: 950 k
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/4): e2fsprogs-libs-1.42.9-9.el7.x86_64.rpm                                                                                  | 166 kB  00:00:00
(2/4): libcom_err-1.42.9-9.el7.x86_64.rpm                                                                                      |  40 kB  00:00:00
(3/4): libss-1.42.9-9.el7.x86_64.rpm                                                                                           |  45 kB  00:00:00
(4/4): e2fsprogs-1.42.9-9.el7.x86_64.rpm                                                                                       | 698 kB  00:00:00
------------------------------------------------------------------------------------------------------------------------------------------------------
合計                                                                                                                  2.8 MB/s | 950 kB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  更新します              : libcom_err-1.42.9-9.el7.x86_64                                                                                        1/8
  更新します              : e2fsprogs-libs-1.42.9-9.el7.x86_64                                                                                    2/8
  更新します              : libss-1.42.9-9.el7.x86_64                                                                                             3/8
  更新します              : e2fsprogs-1.42.9-9.el7.x86_64                                                                                         4/8
  整理中                  : e2fsprogs-1.42.9-7.el7.x86_64                                                                                         5/8
  整理中                  : e2fsprogs-libs-1.42.9-7.el7.x86_64                                                                                    6/8
  整理中                  : libss-1.42.9-7.el7.x86_64                                                                                             7/8
  整理中                  : libcom_err-1.42.9-7.el7.x86_64                                                                                        8/8
  検証中                  : e2fsprogs-libs-1.42.9-9.el7.x86_64                                                                                    1/8
  検証中                  : libss-1.42.9-9.el7.x86_64                                                                                             2/8
  検証中                  : e2fsprogs-1.42.9-9.el7.x86_64                                                                                         3/8
  検証中                  : libcom_err-1.42.9-9.el7.x86_64                                                                                        4/8
  検証中                  : libss-1.42.9-7.el7.x86_64                                                                                             5/8
  検証中                  : libcom_err-1.42.9-7.el7.x86_64                                                                                        6/8
  検証中                  : e2fsprogs-1.42.9-7.el7.x86_64                                                                                         7/8
  検証中                  : e2fsprogs-libs-1.42.9-7.el7.x86_64                                                                                    8/8

更新:
  e2fsprogs.x86_64 0:1.42.9-9.el7

依存性を更新しました:
  e2fsprogs-libs.x86_64 0:1.42.9-9.el7                  libcom_err.x86_64 0:1.42.9-9.el7                  libss.x86_64 0:1.42.9-9.el7

完了しました!

利用環境

CentOS 7.2.1511